For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
      • POSTCreate a membership
      • PUTBulk update memberships
      • PUTUpdate a membership
      • GETGet pinned views for a membership
      • PUTUpdate pinned views for a membership
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Users & OrganizationsMemberships

Update a membership

||View as Markdown|
PUT
https://api.close.com/api/v1/membership/:id/
PUT
/api/v1/membership/:id/
$curl -X PUT https://api.close.com/api/v1/membership/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "auto_record_calls": "enabled",
> "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p"
>}'
1{
2 "auto_record_calls": "enabled",
3 "id": "memb_SLfZq4IU5E2nBA3PBzHFsi1HUv98cPmGUIZGlWK7Z3y",
4 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
5 "permissions_granted": [
6 "bulk_delete",
7 "bulk_edit",
8 "export",
9 "manage_customizations",
10 "manage_group_numbers",
11 "manage_organization",
12 "manage_team_smart_views"
13 ],
14 "plan_type": "enterprise",
15 "primary_personal_number": "phon_nm67bxYRTJUZNOXflc1I3bBadd0PbQvvui1byxCwK7k",
16 "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p",
17 "user_id": "user_A3HwmEOcDLL8ilFx8QKcYEuKDtRPtBuQ68PctqwMqtP"
18}
You can update the field `role_id` and its value can be one of `'admin'`, `'superuser'`, `'user'` or `'restricteduser'` for the corresponding predefined role, or an ID of a [Role](https://developer.close.com/api/resources/roles). The field `auto_record_calls` is used to manage whether or not calls are automatically recorded. The initial value for a membership is `'unset'`. It can be updated to `'disabled'`, or `'enabled'`.
Was this page helpful?
Previous

Bulk update memberships

Next

Get pinned views for a membership

Built with

You can update the field role_id and its value can be one of 'admin', 'superuser', 'user' or 'restricteduser' for the corresponding predefined role, or an ID of a Role.

The field auto_record_calls is used to manage whether or not calls are automatically recorded. The initial value for a membership is 'unset'. It can be updated to 'disabled', or 'enabled'.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error